MONGOC_SERVER_DESCRIPTION_TYPE(3)

NAME
mongoc_server_description_type - mongoc_server_description_type()

SYNOPSIS

        const char *
        mongoc_server_description_type (const mongoc_server_description_t *description);

PARAMETERS

    •   description: A mongoc_server_description_t.

DESCRIPTION

This function returns a string, one of the server types defined in the Server Discovery And Monitoring Spec:

    •   Standalone

    •   Mongos

    •   PossiblePrimary

    •   RSPrimary

    •   RSSecondary

    •   RSArbiter

    •   RSOther

    •   RSGhost

    •   Unknown

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc